package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.jpa.domain.Specification;

import com.jasamedika.medifirst2000.entities.DraftPeraturan;
import com.jasamedika.medifirst2000.vo.DraftPeraturanVO;

public interface DraftPeraturanService extends BaseVoService<DraftPeraturan, DraftPeraturanVO, Integer>{

	public Map<String, Object> findAll(Integer page, Integer take, String sort, String dir, Specification<DraftPeraturan> spec);
	
	public Map<String, Object> saveDraft(DraftPeraturanVO vo);
	
	public Map<String, Object> generateNoPeraturan(Integer bulan, Integer tahun);
	
	public Map<String, Object> deleteDraft(List<DraftPeraturanVO> vos);
}
